package com.opendesign.teigha.samples.java;

import com.opendesign.core.Globals;
import com.opendesign.core.OdRxModule;
import com.opendesign.td.ExHostAppServices;
import com.opendesign.td.TD_Db;

public class OdaSystem {
    public static final OdRxModule pdfModule;
    public static final OdRxModule exportModule;

    public static final OdRxModule txvModule;
    public static final BaseFileConverter.CustomSystemServices systemServices;
    public static final ExHostAppServices hostApp;

    static {
        // Teigha native libraries loading
        System.loadLibrary("TeighaJavaCore");
        System.loadLibrary("TeighaJavaDwg");
        System.loadLibrary("TeighaJavaDgn");

        systemServices = new BaseFileConverter.CustomSystemServices();
        hostApp = new ExHostAppServices();
        TD_Db.odInitialize(systemServices);

        pdfModule = Globals.odrxDynamicLinker().loadApp("TD_PdfExport");
        exportModule = Globals.odrxDynamicLinker().loadApp("TD_RasterExport");
        txvModule = Globals.odrxDynamicLinker().loadApp("WinGDI");
    }
}
