/////////////////////////////////////////////////////////////////////////////// 
// Copyright (C) 2002-2024, Open Design Alliance (the "Alliance"). 
// All rights reserved. 
// 
// This software and its documentation and related materials are owned by 
// the Alliance. The software may only be incorporated into application 
// programs owned by members of the Alliance, subject to a signed 
// Membership Agreement and Supplemental Software License Agreement with the
// Alliance. The structure and organization of this software are the valuable  
// trade secrets of the Alliance and its suppliers. The software is also 
// protected by copyright law and international treaty provisions. Application  
// programs incorporating this software must include the following statement 
// with their copyright notices:
//   
//   This application incorporates Open Design Alliance software pursuant to a license 
//   agreement with Open Design Alliance.
//   Open Design Alliance Copyright (C) 2002-2024 by Open Design Alliance. 
//   All rights reserved.
//
// By use of this software, its documentation or related materials, you 
// acknowledge and accept the above terms.
///////////////////////////////////////////////////////////////////////////////
package com.opendesign.teigha.samples.tests;

import com.opendesign.core.Globals;
import com.opendesign.core.OdDbLibraryInfo;
import com.opendesign.td.ExHostAppServices;
import org.junit.jupiter.api.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class ODAInitTest {
    private static final Logger logger = LoggerFactory.getLogger(ODAInitTest.class);
    static {
        logger.info("loading TeighaJavaCore");
        System.loadLibrary("TeighaJavaCore");
        logger.info("loading TeighaJavaDwg");
        System.loadLibrary("TeighaJavaDwg");
        logger.info("loading TeighaJavaDgn");
        System.loadLibrary("TeighaJavaDgn");
        logger.info("odActivate...");
        Globals.odActivate(teigha.OdActivationInfo.userInfo, teigha.OdActivationInfo.userSignature);
    }

    public static void init() {
    }

    @Test public void readVersion() {
        ExHostAppServices hostApp = new ExHostAppServices();
        String product = hostApp.product();
        String version = hostApp.versionString();
        logger.info("product: " + product + ", version: " + version);
    }
}
