<!--/////////////////////////////////////////////////////////////////////////////// 
// Copyright (C) 2002-2024, Open Design Alliance (the "Alliance"). 
// All rights reserved. 
// 
// This software and its documentation and related materials are owned by 
// the Alliance. The software may only be incorporated into application 
// programs owned by members of the Alliance, subject to a signed 
// Membership Agreement and Supplemental Software License Agreement with the
// Alliance. The structure and organization of this software are the valuable  
// trade secrets of the Alliance and its suppliers. The software is also 
// protected by copyright law and international treaty provisions. Application  
// programs incorporating this software must include the following statement 
// with their copyright notices:
//   
//   This application incorporates Open Design Alliance software pursuant to a license 
//   agreement with Open Design Alliance.
//   Open Design Alliance Copyright (C) 2002-2024 by Open Design Alliance. 
//   All rights reserved.
//
// By use of this software, its documentation or related materials, you 
// acknowledge and accept the above terms.
///////////////////////////////////////////////////////////////////////////////-->
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<%@ page language="java" contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="com.opendesign.teigha.samples.java.Converters" %>

<html>
<head>
<META http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>ODA Drawings SDK for Java .dwg files Online Converter</title>
    <meta charset="UTF-8">
    <meta http-equiv=X-UA-Compatible content="IE=edge">
    <meta name=viewport content="width=device-width,initial-scale=1">

    <link href="//fonts.googleapis.com/css?family=Open+Sans:300,400,600,700&subset=latin,latin-ext" rel="stylesheet" type="text/css">
    <link href="/themes/teigha/css/lib/font-awesome.min.css" rel="stylesheet" type="text/css">
    <link href="/themes/teigha/css/lib/bootstrap.custom.css" rel="stylesheet" type="text/css">
    <link href="/themes/teigha/css/theme.css" rel="stylesheet" type="text/css">

    <link href="/themes/teigha/favicon.ico" rel="shortcut icon" type="image/x-icon">
</head>
<body>
    <div class="content" role="main">
        <div class="container">
            <div class="row">
                <div class="col-xs-12">
<%
    if (null != request.getParameter("result")) {
%>
                    <ul class="list-unstyled">
                        <li>
                            <a href="TeighaConverter?to=pdf&result=<%=request.getParameter("result")%>.pdf" class="emphasis-link arrow-right">
                                Use the link below to download the .pdf file
                            </a>
                        </li>
                    </ul>
                    <a href="TeighaConverter?to=png&result=<%=request.getParameter("result")%>.png" target="_blank">
                        <img src="TeighaConverter?to=png&result=<%=request.getParameter("result")%>.png" width="360px" height="480px"/>
                    </a>

<% } else { %>

                    <form name="uploadform" class="form-horizontal" method="post" enctype="multipart/form-data" action="TeighaConverter">
                        <div class="form-group">
                            <label class="control-label col-sm-4">Select the .dwg/.dxf file to convert:</label>
                            <div class="col-sm-8">
                                <div class="input-file-group">
                                    <div class="input-file-btn">
                                        <div class="btn btn-default btn-file">
                                            <label for="source-file">Choose File</label>
                                            <input id="source-file" type="file" name="filename" accept="image/vnd.dwg, image/vnd.dxf">
                                        </div>
                                    </div>
                                    <input type="text" class="input-file-text" disabled>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-8 col-sm-offset-4">
                                <button type="submit" class="btn btn-success btn-expanded pull-right"><i class="fa fa-arrow-circle-right"></i> Convert</button>
                            </div>
                        </div>
                    </form>

                    <ul class="list-unstyled">
                        <li><a href="resources/oda-sample-webapp-src.zip" class="emphasis-link arrow-right">Download sample code</a></li>
                        <li><a href="https://www.opendesign.com/products/teigha-drawings" target="_parent" class="emphasis-link arrow-right">Read more about ODA Drawings SDK</a></li>
                    </ul>

<% } %>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
